Package org.apache.maven.scm.provider.local.command.checkout

## Class LocalCheckOutScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.checkout.CheckOutScmResult
    - - org.apache.maven.scm.provider.local.command.checkout.LocalCheckOutScmResult

All Implemented Interfaces:
  `java.io.Serializable`

    public class LocalCheckOutScmResult
    extends CheckOutScmResult

Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.command.checkout.CheckOutScmResult

`relativePathProjectDirectory`

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`LocalCheckOutScmResult​(java.lang.String commandLine, java.util.List<ScmFile> files)`

### Method Summary

### Methods inherited from class org.apache.maven.scm.command.checkout.CheckOutScmResult

`getCheckedOutFiles, getRelativePathProjectDirectory, getRevision`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalCheckOutScmResult

    public LocalCheckOutScmResult​(java.lang.String commandLine,
                                  java.util.List<ScmFile> files)